<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:06 CEST 2020 -->
<title>RepairImpl</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RepairImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RepairImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/ReplaceImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html" target="_top">Frames</a></li>
<li><a href="RepairImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl</div>
<h2 title="Class RepairImpl" class="title">Class RepairImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EObjectImpl</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl">org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl.MMActivitiesImpl</a></li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl.RepairImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MMActivities</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">Repair</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">RepairImpl</span>
extends <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl">MMActivitiesImpl</a>
implements <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">Repair</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Repair</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 </p>
 <ul>
   <li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html#getTargets--"><code><em>Targets</em></code></a></li>
   <li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html#getBase_Transition--"><code><em>Base Transition</em></code></a></li>
 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>ELAST_EOBJECT_FLAG</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Transition</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html#basicGetBase_Transition--">basicGetBase_Transition</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html#eGet-int-boolean-boolean-">eGet</a></span>(int&nbsp;featureID,
    boolean&nbsp;resolve,
    boolean&nbsp;coreType)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html#eIsSet-int-">eIsSet</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html#eSet-int-java.lang.Object-">eSet</a></span>(int&nbsp;featureID,
    java.lang.Object&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html#eUnset-int-">eUnset</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Transition</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html#getBase_Transition--">getBase_Transition</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Property&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html#getTargets--">getTargets</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html#getTargets-java.lang.String-org.eclipse.uml2.uml.Type-">getTargets</a></span>(java.lang.String&nbsp;name,
          org.eclipse.uml2.uml.Type&nbsp;type)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html#getTargets-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getTargets</a></span>(java.lang.String&nbsp;name,
          org.eclipse.uml2.uml.Type&nbsp;type,
          boolean&nbsp;ignoreCase,
          org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html#setBase_Transition-org.eclipse.uml2.uml.Transition-">setBase_Transition</a></span>(org.eclipse.uml2.uml.Transition&nbsp;newBase_Transition)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl.MMActivitiesImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl.<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl">MMActivitiesImpl</a></h3>
<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#basicGetBase_Action--">basicGetBase_Action</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#basicGetBase_Activity--">basicGetBase_Activity</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getBase_Action--">getBase_Action</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getBase_Activity--">getBase_Activity</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getDuration--">getDuration</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getOnCompletion--">getOnCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getOnCompletion-java.lang.String-">getOnCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getOnCompletion-java.lang.String-boolean-">getOnCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getOnFailedCompletion--">getOnFailedCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getOnFailedCompletion-java.lang.String-">getOnFailedCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getOnFailedCompletion-java.lang.String-boolean-">getOnFailedCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getOnSuccessfulCompletion--">getOnSuccessfulCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getOnSuccessfulCompletion-java.lang.String-">getOnSuccessfulCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getOnSuccessfulCompletion-java.lang.String-boolean-">getOnSuccessfulCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getProbSuccess--">getProbSuccess</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#getWhen--">getWhen</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#setBase_Action-org.eclipse.uml2.uml.Action-">setBase_Action</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#setBase_Activity-org.eclipse.uml2.uml.Activity-">setBase_Activity</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#setDuration-java.lang.String-">setDuration</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#setProbSuccess-java.lang.String-">setProbSuccess</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#setWhen-java.lang.String-">setWhen</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.MMActivities">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MMActivities</a></h3>
<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Action--">getBase_Action</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Activity--">getBase_Activity</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getDuration--">getDuration</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnCompletion--">getOnCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnCompletion-java.lang.String-">getOnCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnCompletion-java.lang.String-boolean-">getOnCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnFailedCompletion--">getOnFailedCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnFailedCompletion-java.lang.String-">getOnFailedCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnFailedCompletion-java.lang.String-boolean-">getOnFailedCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnSuccessfulCompletion--">getOnSuccessfulCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnSuccessfulCompletion-java.lang.String-">getOnSuccessfulCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnSuccessfulCompletion-java.lang.String-boolean-">getOnSuccessfulCompletion</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getProbSuccess--">getProbSuccess</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getWhen--">getWhen</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setBase_Action-org.eclipse.uml2.uml.Action-">setBase_Action</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setBase_Activity-org.eclipse.uml2.uml.Activity-">setBase_Activity</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setDuration-java.lang.String-">setDuration</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setProbSuccess-java.lang.String-">setProbSuccess</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#setWhen-java.lang.String-">setWhen</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTargets--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargets</h4>
<pre>public&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Property&gt;&nbsp;getTargets()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html#getTargets--">getTargets</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">Repair</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Targets</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getRepair_Targets--"><code>MaintenanceMonitoringPackage.getRepair_Targets()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTargets-java.lang.String-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargets</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Property&nbsp;getTargets(java.lang.String&nbsp;name,
                                                org.eclipse.uml2.uml.Type&nbsp;type)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html#getTargets-java.lang.String-org.eclipse.uml2.uml.Type-">getTargets</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">Repair</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>Property</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>Property</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>Property</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html#getTargets--"><code>Repair.getTargets()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTargets-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargets</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Property&nbsp;getTargets(java.lang.String&nbsp;name,
                                                org.eclipse.uml2.uml.Type&nbsp;type,
                                                boolean&nbsp;ignoreCase,
                                                org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html#getTargets-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getTargets</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">Repair</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>Property</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>Property</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <code>String</code> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>Property</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>Property</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html#getTargets--"><code>Repair.getTargets()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_Transition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Transition</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Transition&nbsp;getBase_Transition()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html#getBase_Transition--">getBase_Transition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">Repair</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Transition</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html#setBase_Transition-org.eclipse.uml2.uml.Transition-"><code>Repair.setBase_Transition(Transition)</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getRepair_Base_Transition--"><code>MaintenanceMonitoringPackage.getRepair_Base_Transition()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetBase_Transition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetBase_Transition</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Transition&nbsp;basicGetBase_Transition()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setBase_Transition-org.eclipse.uml2.uml.Transition-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Transition</h4>
<pre>public&nbsp;void&nbsp;setBase_Transition(org.eclipse.uml2.uml.Transition&nbsp;newBase_Transition)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html#setBase_Transition-org.eclipse.uml2.uml.Transition-">setBase_Transition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">Repair</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newBase_Transition</code> - the new value of the '<em>Base Transition</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html#getBase_Transition--"><code>Repair.getBase_Transition()</code></a></dd>
</dl>
</li>
</ul>
<a name="eGet-int-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eGet</h4>
<pre>public&nbsp;java.lang.Object&nbsp;eGet(int&nbsp;featureID,
                             boolean&nbsp;resolve,
                             boolean&nbsp;coreType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eGet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#eGet-int-boolean-boolean-">eGet</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl">MMActivitiesImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eSet-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSet</h4>
<pre>public&nbsp;void&nbsp;eSet(int&nbsp;featureID,
                 java.lang.Object&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#eSet-int-java.lang.Object-">eSet</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl">MMActivitiesImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eUnset-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eUnset</h4>
<pre>public&nbsp;void&nbsp;eUnset(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eUnset</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#eUnset-int-">eUnset</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl">MMActivitiesImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eIsSet-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eIsSet</h4>
<pre>public&nbsp;boolean&nbsp;eIsSet(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eIsSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html#eIsSet-int-">eIsSet</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl">MMActivitiesImpl</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RepairImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/ReplaceImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/RepairImpl.html" target="_top">Frames</a></li>
<li><a href="RepairImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
